Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032109
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] I. Performancemajoralways2016-02-03 18:092016-12-10 19:16
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionae93510d847c
ProjectionnoneETAnoneTarget Version3.0PR16Q2
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032109: Review allow filtering and allow sorting for computed columns

DescriptionDue to the availability of a new feature (http://wiki.openbravo.com/wiki/Projects:Disable_Default_Field_Filtering_and_Sorting [^]), all the computed columns should be reviewed to check if they should allow filtering and/or sorting.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0084081)
hgbot (developer)
2016-02-10 15:46

Repository: erp/devel/pi
Changeset: ae93510d847c385cf12f6de5758f1a07e8b78dd7
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Feb 04 12:24:30 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ae93510d847c385cf12f6de5758f1a07e8b78dd7 [^]

Fixes issue 32109: Review allow filtering and allow sorting in computed columns

Computed columns belonging to a table with high volumes or having a complex query have been disabled for filtering and sorting.
Only computed columns in low volume tables and with a simple query will allow filtering and sorting.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0084082)
hgbot (developer)
2016-02-10 15:46

Repository: erp/mods/org.openbravo.module.remittance
Changeset: a022007e007b024f98153c6e71c70f196b19b4c3
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Feb 04 12:32:35 2016 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/a022007e007b024f98153c6e71c70f196b19b4c3 [^]

Related to issue 32109: Review allow filtering and sorting in computed columns

Computed columns belonging to a table with high volumes or having a complex query have been disabled for filtering and sorting.
Only computed columns in low volume tables and with a simple query will allow filtering and sorting.

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0084083)
hgbot (developer)
2016-02-10 15:47

Repository: erp/mods/org.openbravo.module.remittance
Changeset: 76f3d206680ab79ce43c76fde710842fa85d5d6f
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Feb 10 15:46:43 2016 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/76f3d206680ab79ce43c76fde710842fa85d5d6f [^]

Related to issue 32109: module update info

---
M src-db/database/sourcedata/AD_MODULE.xml
---
(0084084)
vmromanos (developer)
2016-02-10 15:55

Reviewed.

More info about at http://wiki.openbravo.com/wiki/Projects:Disable_Filtering_and_Sorting_for_Computed_Columns [^]
(0085124)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-03 18:09 aferraz New Issue
2016-02-03 18:09 aferraz Assigned To => aferraz
2016-02-03 18:09 aferraz Modules => Core
2016-02-03 18:09 aferraz Triggers an Emergency Pack => No
2016-02-10 15:46 hgbot Checkin
2016-02-10 15:46 hgbot Note Added: 0084081
2016-02-10 15:46 hgbot Status new => resolved
2016-02-10 15:46 hgbot Resolution open => fixed
2016-02-10 15:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ae93510d847c385cf12f6de5758f1a07e8b78dd7 [^]
2016-02-10 15:46 hgbot Checkin
2016-02-10 15:46 hgbot Note Added: 0084082
2016-02-10 15:47 hgbot Checkin
2016-02-10 15:47 hgbot Note Added: 0084083
2016-02-10 15:55 vmromanos Review Assigned To => vmromanos
2016-02-10 15:55 vmromanos Note Added: 0084084
2016-02-10 15:55 vmromanos Status resolved => closed
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085124
2016-12-10 19:16 eugeni Issue Monitored: eugeni


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker